<html>
<head>
<title>Ogre::RenderTarget::FrameStats Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html">FrameStats</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderTarget::FrameStats Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderTarget::FrameStats" -->
<p><code>#include &lt;<a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RenderTarget_1_1FrameStats-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a12556de54d8ea0ca7ccf064a07d25389">lastFPS</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a4e2453ac395f96a11a966f18590610e0">avgFPS</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#ab07828877ca7c352d1a8b1afaab1df08">bestFPS</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a49f1dd55396299921e69e1d7ed66c0fc">worstFPS</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a720bee3828b5c2d2419e7afbeed0191e">bestFrameTime</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a7536670fa555a4f05c52ccdacc9c2194">worstFrameTime</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#ab1bf6f713ee6774a371fdf74f2ffaf44">triangleCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a6b4e063f6df89d63021022eb8f43d91c">batchCount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00078">78</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4e2453ac395f96a11a966f18590610e0"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::avgFPS" ref="a4e2453ac395f96a11a966f18590610e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a4e2453ac395f96a11a966f18590610e0">Ogre::RenderTarget::FrameStats::avgFPS</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00081">81</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6b4e063f6df89d63021022eb8f43d91c"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::batchCount" ref="a6b4e063f6df89d63021022eb8f43d91c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a6b4e063f6df89d63021022eb8f43d91c">Ogre::RenderTarget::FrameStats::batchCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00087">87</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab07828877ca7c352d1a8b1afaab1df08"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::bestFPS" ref="ab07828877ca7c352d1a8b1afaab1df08" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#ab07828877ca7c352d1a8b1afaab1df08">Ogre::RenderTarget::FrameStats::bestFPS</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00082">82</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="a720bee3828b5c2d2419e7afbeed0191e"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::bestFrameTime" ref="a720bee3828b5c2d2419e7afbeed0191e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a720bee3828b5c2d2419e7afbeed0191e">Ogre::RenderTarget::FrameStats::bestFrameTime</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00084">84</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="a12556de54d8ea0ca7ccf064a07d25389"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::lastFPS" ref="a12556de54d8ea0ca7ccf064a07d25389" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a12556de54d8ea0ca7ccf064a07d25389">Ogre::RenderTarget::FrameStats::lastFPS</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00080">80</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1bf6f713ee6774a371fdf74f2ffaf44"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::triangleCount" ref="ab1bf6f713ee6774a371fdf74f2ffaf44" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#ab1bf6f713ee6774a371fdf74f2ffaf44">Ogre::RenderTarget::FrameStats::triangleCount</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00086">86</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f1dd55396299921e69e1d7ed66c0fc"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::worstFPS" ref="a49f1dd55396299921e69e1d7ed66c0fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a49f1dd55396299921e69e1d7ed66c0fc">Ogre::RenderTarget::FrameStats::worstFPS</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00083">83</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7536670fa555a4f05c52ccdacc9c2194"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::worstFrameTime" ref="a7536670fa555a4f05c52ccdacc9c2194" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#a7536670fa555a4f05c52ccdacc9c2194">Ogre::RenderTarget::FrameStats::worstFrameTime</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderTarget_8h_source.html#l00085">85</a> of file <a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTarget_8h_source.html">OgreRenderTarget.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
